
Figure - Bug #114333
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】将小窗移动到非左上角位置，长按桌面进入编辑模式，小窗回到左上角的位置
2022-12-06 14:48 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-06

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212030304

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212090644

Reproducibility: Every time Fixed Version: 2022-12-12

Test Type: IT Root cause: 进入编辑模式后 会隐藏dock 触发位置改变

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开小窗

2、将其移动到右上角

3、长按桌面进入编辑模式

【预期结果】

3、成功进入编辑模式，小窗位置不变

【实际结果】

4、成功进入编辑模式，小窗位置活到左上角

History

#1 - 2022-12-08 11:06 - DL FW-张挽强

- Status changed from New to ASSIGNED

■ My analysis

进入编辑模式后 会触发关于左右手模式的改变，应该根据当前位置判断后在恢复默认位置

■ Next action

修改代码逻辑

#2 - 2022-12-08 16:14 - CD TEST-方永红

- Priority changed from Normal to High

- Severity changed from Normal to Major

#3 - 2022-12-09 15:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168895 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com
AF:MultiWindow:fixed freeform display erro when dock changed1.Modify freeform display logic when dock dismissChange-Id:

I86d8fe12d4134a59b7fb11a74956b48e15468b3eTC-RID: 1201-0204601IssueID: TS-R-BUG-114333

#4 - 2022-12-09 15:31 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-12-12

- Root cause set to 进入编辑模式后 会隐藏dock 触发位置改变

#5 - 2022-12-12 11:05 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212090644

#6 - 2022-12-12 11:05 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

12.12

验证通过

Files

Phone-STS40X190122 2022-12-06 14-47-34.mp4 15.8 MB 2022-12-06 CD TEST-方永红
